Loading...
Searching...
No Matches
Generic three-dimensional circle.
Foundation Classes » Mathematics » Geometric objects

## Storers

typedef TCircle3< float > | BALL::Circle3
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TCircle3< T > &circle)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TCircle3< T > &circle)

## Detailed Description

## Typedef Documentation

## Circle3

typedef TCircle3<float> BALL::Circle3

needed for windows dlls Default three-dimensional circle class of type float

Definition at line 301 of file circle3.h.

## Function Documentation

## operator<<()

template<typename T>

std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TCircle3< T > & | circle )

Output Operator. Writes the values of p, n, and radius to an output stream. The three values are separated by spaces and enclosed in brackets.

  Example:

  ((0 0 0) (1 2 1) 3.5)

See also
  TVector3::operator<<

Definition at line 324 of file circle3.h.

## operator>>()

template<typename T>

std::istream & BALL::operator>> | ( | std::istream & | s,
|  | TCircle3< T > & | circle )

Input operator. Reads in two TVector3 and a T value: p, n, radius

Definition at line 307 of file circle3.h.